# Mastodon Algorithm - Frontend / Client

This repo contains the frontend for [ideclon's](https://ideclon.uk) Mastodon Algorithm project.

**This project relies on [AppWrite](https://appwrite.io). You must have an AppWrite instance to run this project**

# Deploy frontend
The frontend currently requires PHP, which is solely used for templating, because I know PHP. I plan to replace it with some templating language which will compile to plan HTML at some point.

## Connect to Appwrite
Navigate to your Appwrite instance's UI. Go to Overview > Integrations. Select the Platforms tab and click "Add Platform". Select "Web App" from the dropdown.

Enter a name (this can be whatever you want) and enter the URL of the frontend. Click Next, then Skip optional step.

You'll need to set the following enviroment vars for this project. Alternatively, you could fill in the required variables in `template/footer.php`.

* `APPWRITE_ENDPOINT`: You can find this at Settings > API Credentials > API Endpoint
* `APPWRITE_PROJECT_ID`: You can find this at Settings > API Credentials > Project ID
* `APPWRITE_DB_ID`: You'll need this from when you set up the server components

# Create a user
There's currently no way to create a user from the frontend. You'll need to do so from the Appwrite UI at Auth > Create User.